Subject: [Sml] Re: Structured Email and AI Agents
From: "John Levine" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 28 Aug 2025 18:08:00 -0400
List-Id: Structured Email <sml.ietf.org>

It appears that Michael Richardson  <[email-masked]> said:
>-=-=-=-=-=-
>Yes we can use Sender:
>It contains an email address.  Does it need to be valid? I think so.

This goes down the rabbit hole of what's a valid address but in the
usual sense that you can reply to it, yes.  Part of the point is that
you have the option of replying to the From or the Sender.

>I'm concerned that it might then be used for other kinds of validation, and
>we can't just put what we need there.

At the moment I haven't seen Sender used for any validation although I have
seen suggestions that DMARC should somehow use it.  But I doubt that will happen.

>So, yes, we could use it.
>I don't agree that the *target* can be indicated with Content-Type.

In this example it's a calendar invite, and we have a format and content type
for that.  More generally I'd think it depends whether you plan to have
an SML thing intended for machine parsing or natural language that you expect an
AI assistant to figure out or maybe something else.  (Wave hands vigorously here.)

>  From: Boss Bob <[email-masked]>
>  Sender: Bob's assistant <[email-masked]>
>  Subject: whatever
>
>I think it would be:
>  From: Boss Bob <[email-masked]>
>  Sender: Company Travel Assistant <[email-masked]>
>  Subject: whatever
>
>Having the same email in Sender: would mean sorting (sieving) on what?
>The word "assistant" in the other part?

I would expect to use something else to decide how to process it.  As I'm sure
you know we have decades of experience here with both formatted content types
and hacks like procmail.

It's not clear to me that there is anything useful to say about mail that is
supposed to be handled automatically but that you can't describe well enough
that a content type or procmail pattern could route it.

R's,
John